Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.bean.spring
Class SpringDiscardManager

    java.lang.Object
      org.jini.rio.bean.spring.SpringDiscardManager

All Implemented Interfaces:
  DiscardManager

    public class SpringDiscardManager

extends Object
implements DiscardManager

Destroys the Spring application context once the bean is destroyed.

Constructor Summary
`SpringDiscardManager(Object springContext, DiscardManager discardManager)` Create a SpringDiscardManager, destroying the Spring application context, and delegating to the infrastructure created `DiscardManager` upon service discard notification

Method Summary
`void` | `discard()` A ServiceBean invokes the discard method when it has terminated, or is in the process of termination.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringDiscardManager

    public SpringDiscardManager(Object springContext,
                                DiscardManager discardManager)

  Create a SpringDiscardManager, destroying the Spring application context, and delegating to the infrastructure created `DiscardManager` upon service discard notification

  Parameters:
    `springContext` - The Spring application context
    `discardManager` - The infrastructure created `DiscardManager`
  Throws:
    `NullPointerException` - if either parameter is `null`

Method Detail

### discard

    public void discard()

  Description copied from interface: `DiscardManager`
  A ServiceBean invokes the discard method when it has terminated, or is in the process of termination. The DiscardManager should perform any necessary cleanup tasks associated with the termination of a ServiceBean

  Specified by:
    `discard` in interface `DiscardManager`
  See Also:
    `DiscardManager.discard()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.